Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api
Interface ResourceService

All Superinterfaces:
  java.rmi.Remote

      public interface ResourceService

extends java.rmi.Remote

Resource Service web service interface

Method Summary
`VirtualMachineImage` | `approveImage(java.lang.String serverPoolName, java.lang.String imageName)`
`ISOResource` | `approveISOResource(java.lang.Long isoResourceId)`
`VirtualMachineTemplate` | `approveTemplate(java.lang.String serverPoolName, java.lang.String templateName)`
`void` | `deleteImage(java.lang.String serverPoolName, java.lang.String imageName)`
`void` | `deleteISO(java.lang.Long isoResourceId)`
`java.lang.String` | `deleteSharedVirtualDisk(java.lang.Long sharedVirtualDiskId)`
`void` | `deleteTemplate(java.lang.String serverPoolName, java.lang.String templateName)`
`DiscoveredVirtualMachineImage[]` | `getAllDiscoverableImages(java.lang.String serverPoolName)`
`DiscoveredISO[]` | `getAllDiscoverableISO(java.lang.String serverPoolName)`
`DiscoveredVirtualMachineTemplate[]` | `getAllDiscoverableTemplates(java.lang.String serverPoolName)`
`VirtualMachineImage[]` | `getAllImageResources(java.lang.String serverPoolName)`
`ISOResource[]` | `getAllISOResources(java.lang.String serverPoolName)`
`SharedVirtualDisk[]` | `getAllSharedVirtualDisks(java.lang.String serverPoolName)`
`VirtualMachineTemplate[]` | `getAllTemplateResources(java.lang.String serverPoolName)`
`VirtualMachineImage` | `getImageResource(java.lang.Long imageId)`
`VirtualMachineImage` | `getImageResourceByName(java.lang.String serverPoolName, java.lang.String imageName)`
`ISOResource` | `getISOResource(java.lang.Long isoResourceId)`
`ISOResource[]` | `getISOResourceByGroupName(java.lang.String serverPoolName, java.lang.String groupName)`
`ISOResource` | `getISOResourceByGroupNameAndISOName(java.lang.String serverPoolName, java.lang.String groupName, java.lang.String isoName)`
`ISOResource[]` | `getISOResourceByISOName(java.lang.String serverPoolName, java.lang.String isoName)`
`SharedVirtualDisk` | `getSharedDiskResource(java.lang.Long sharedVirtualDiskId)`
`SharedVirtualDisk` | `getSharedDiskResourceByName(java.lang.String serverPoolName, java.lang.String sharedVirtualDiskName)`
`VirtualMachineTemplate` | `getTemplateResource(java.lang.Long templateId)`
`VirtualMachineTemplate` | `getTemplateResourceByName(java.lang.String serverPoolName, java.lang.String templateName)`
`void` | `registerExternalImage(java.lang.String serverPoolName, VirtualMachineImage virtualMachineImage)`
`void` | `registerExternalISO(java.lang.String serverPoolName, ISOResourceConfig isoResourceConfig)`
`void` | `registerExternalTemplate(java.lang.String serverPoolName, VirtualMachineTemplate virtualMachineTemplate)`
`void` | `registerInternalImage(java.lang.String serverPoolName, VirtualMachineImage virtualMachineImage)`
`void` | `registerInternalISO(java.lang.String serverPoolName, ISOResourceConfig isoResourceConfig)`
`void` | `registerInternalTemplate(java.lang.String serverPoolName, VirtualMachineTemplate virtualMachineTemplate)`
`void` | `registerISO(java.lang.String serverPoolName, ISOResourceConfig isoResourceConfig)`
`void` | `registerSharedVirtualDisk(java.lang.String serverPoolName, SharedVirtualDiskConfig sharedVirtualDiskConfig)`
`java.util.Map` | `ValidateVMConfig(java.lang.String serverPoolName, java.lang.String vmPath)`

Method Detail

### registerInternalISO

    void registerInternalISO(java.lang.String serverPoolName,
                             ISOResourceConfig isoResourceConfig)
                             throws oracle.ovs.biz.exception.OVSException,
                                    java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### registerISO

    void registerISO(java.lang.String serverPoolName,
                     ISOResourceConfig isoResourceConfig)
                     throws oracle.ovs.biz.exception.OVSException,
                            java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### deleteTemplate

    void deleteTemplate(java.lang.String serverPoolName,
                        java.lang.String templateName)
                        throws oracle.ovs.biz.exception.OVSException,
                               java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllSharedVirtualDisks

    SharedVirtualDisk[] getAllSharedVirtualDisks(java.lang.String serverPoolName)
                                                 throws oracle.ovs.biz.exception.OVSException,
                                                        java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllISOResources

    ISOResource[] getAllISOResources(java.lang.String serverPoolName)
                                     throws oracle.ovs.biz.exception.OVSException,
                                            java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getISOResourceByGroupName

    ISOResource[] getISOResourceByGroupName(java.lang.String serverPoolName,
                                            java.lang.String groupName)
                                            throws oracle.ovs.biz.exception.OVSException,
                                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### deleteSharedVirtualDisk

    java.lang.String deleteSharedVirtualDisk(java.lang.Long sharedVirtualDiskId)
                                             throws oracle.ovs.biz.exception.OVSException,
                                                    java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getTemplateResource

    VirtualMachineTemplate getTemplateResource(java.lang.Long templateId)
                                               throws oracle.ovs.biz.exception.OVSException,
                                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### registerExternalISO

    void registerExternalISO(java.lang.String serverPoolName,
                             ISOResourceConfig isoResourceConfig)
                             throws oracle.ovs.biz.exception.OVSException,
                                    java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### deleteImage

    void deleteImage(java.lang.String serverPoolName,
                     java.lang.String imageName)
                     throws oracle.ovs.biz.exception.OVSException,
                            java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllTemplateResources

    VirtualMachineTemplate[] getAllTemplateResources(java.lang.String serverPoolName)
                                                     throws oracle.ovs.biz.exception.OVSException,
                                                            java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getImageResource

    VirtualMachineImage getImageResource(java.lang.Long imageId)
                                         throws oracle.ovs.biz.exception.OVSException,
                                                java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### registerExternalImage

    void registerExternalImage(java.lang.String serverPoolName,
                               VirtualMachineImage virtualMachineImage)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getSharedDiskResourceByName

    SharedVirtualDisk getSharedDiskResourceByName(java.lang.String serverPoolName,
                                                  java.lang.String sharedVirtualDiskName)
                                                  throws oracle.ovs.biz.exception.OVSException,
                                                         java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getISOResource

    ISOResource getISOResource(java.lang.Long isoResourceId)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### registerExternalTemplate

    void registerExternalTemplate(java.lang.String serverPoolName,
                                  VirtualMachineTemplate virtualMachineTemplate)
                                  throws oracle.ovs.biz.exception.OVSException,
                                         java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### registerInternalImage

    void registerInternalImage(java.lang.String serverPoolName,
                               VirtualMachineImage virtualMachineImage)
                               throws oracle.ovs.biz.exception.OVSException,
                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllDiscoverableTemplates

    DiscoveredVirtualMachineTemplate[] getAllDiscoverableTemplates(java.lang.String serverPoolName)
                                                                   throws oracle.ovs.biz.exception.OVSException,
                                                                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getImageResourceByName

    VirtualMachineImage getImageResourceByName(java.lang.String serverPoolName,
                                               java.lang.String imageName)
                                               throws oracle.ovs.biz.exception.OVSException,
                                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### approveImage

    VirtualMachineImage approveImage(java.lang.String serverPoolName,
                                     java.lang.String imageName)
                                     throws oracle.ovs.biz.exception.OVSException,
                                            java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllDiscoverableImages

    DiscoveredVirtualMachineImage[] getAllDiscoverableImages(java.lang.String serverPoolName)
                                                             throws oracle.ovs.biz.exception.OVSException,
                                                                    java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### ValidateVMConfig

    java.util.Map ValidateVMConfig(java.lang.String serverPoolName,
                                   java.lang.String vmPath)
                                   throws oracle.ovs.biz.exception.OVSException,
                                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getISOResourceByGroupNameAndISOName

    ISOResource getISOResourceByGroupNameAndISOName(java.lang.String serverPoolName,
                                                    java.lang.String groupName,
                                                    java.lang.String isoName)
                                                    throws oracle.ovs.biz.exception.OVSException,
                                                           java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### approveTemplate

    VirtualMachineTemplate approveTemplate(java.lang.String serverPoolName,
                                           java.lang.String templateName)
                                           throws oracle.ovs.biz.exception.OVSException,
                                                  java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllDiscoverableISO

    DiscoveredISO[] getAllDiscoverableISO(java.lang.String serverPoolName)
                                          throws oracle.ovs.biz.exception.OVSException,
                                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getAllImageResources

    VirtualMachineImage[] getAllImageResources(java.lang.String serverPoolName)
                                               throws oracle.ovs.biz.exception.OVSException,
                                                      java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getTemplateResourceByName

    VirtualMachineTemplate getTemplateResourceByName(java.lang.String serverPoolName,
                                                     java.lang.String templateName)
                                                     throws oracle.ovs.biz.exception.OVSException,
                                                            java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### registerSharedVirtualDisk

    void registerSharedVirtualDisk(java.lang.String serverPoolName,
                                   SharedVirtualDiskConfig sharedVirtualDiskConfig)
                                   throws oracle.ovs.biz.exception.OVSException,
                                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### registerInternalTemplate

    void registerInternalTemplate(java.lang.String serverPoolName,
                                  VirtualMachineTemplate virtualMachineTemplate)
                                  throws oracle.ovs.biz.exception.OVSException,
                                         java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getISOResourceByISOName

    ISOResource[] getISOResourceByISOName(java.lang.String serverPoolName,
                                          java.lang.String isoName)
                                          throws oracle.ovs.biz.exception.OVSException,
                                                 java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### getSharedDiskResource

    SharedVirtualDisk getSharedDiskResource(java.lang.Long sharedVirtualDiskId)
                                            throws oracle.ovs.biz.exception.OVSException,
                                                   java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### deleteISO

    void deleteISO(java.lang.Long isoResourceId)
                   throws oracle.ovs.biz.exception.OVSException,
                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

### approveISOResource

    ISOResource approveISOResource(java.lang.Long isoResourceId)
                                   throws oracle.ovs.biz.exception.OVSException,
                                          java.rmi.RemoteException

  Throws:
    `oracle.ovs.biz.exception.OVSException`
    `java.rmi.RemoteException`

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.